%define name entangle
%define version 0.6.0
%define release %mkrel 4

Summary: Tethered shooting & control of digital cameras
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPLv3+
Group: Graphics
URL: http://entangle-photo.org/
Source: http://entangle-photo.org/download/sources/%{name}-%{version}.tar.xz
Patch0:		entangle-0.6.0-adwaita-icon-theme.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#---------------------------------------------
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gexiv2-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gphoto-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: %{_lib}lcms-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}peas-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: pkgconfig(adwaita-icon-theme)
#---------------------------------------------
BuildRequires: LibRaw-devel
BuildRequires: LibRaw
Requires: %{_lib}gtk+3_0
Requires: adwaita-icon-theme
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Entangle provides a graphical interface for "tethered shooting", aka taking
photographs with a digital camera completely controlled from the computer.

It is built on top of libgphoto using GTK3 for its interface. It is fully
colour managed, auto-detecting system monitor profile and applying the
neccessary transforms when displaying images.

%prep
%setup -q
%patch0 -p1

%build
rm -rf %{buildroot}
autoreconf -vfi
%configure2_5x --disable-schemas-compile

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Multimedia-Graphics" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -rf %{buildroot}%{_datadir}/%{name}/website
rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications
glib-compile-schemas /usr/share/glib-2.0/schemas ||:

%postun
update-desktop-database %{_datadir}/applications
glib-compile-schemas /usr/share/glib-2.0/schemas ||:

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS ChangeLog
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gtk-doc/html/Entangle
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.entangle-photo.manager.gschema.xml
%{_datadir}/gir-1.0/Entangle-0.1.gir
%{_libdir}/girepository-1.0/Entangle-0.1.typelib
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/entangle.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}*

%changelog
* Tue Jun 13 2017 adrianomorselli <adrianomorselli> 0.6.0-4uplos2017
- rebuild for update
- sobstitute gnomesymbolic icon theme with adwaita
